Skip to content

List all newsfeeds

Request

You can fetch a list of all newsfeeds

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.11"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.11
curl -i -X GET \
  https://api.intercom.io/news/newsfeeds \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.11'

Responses

successful

Bodyapplication/json
typestringrequired

The type of object

Value:"list"
Example:"list"

Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data. A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.

total_countintegerrequired

A count of the total number of Newsfeeds.

Example:1
dataArray of objects(Newsfeed)required

An array of Newsfeeds

Response
{ "type": "list", "pages": { "page": 1, "per_page": 10, "total_pages": 1, "type": "pages" }, "data": [ {}, {} ], "total_count": 2 }